package javax.swing.plaf;

import javax.swing.text.View;
import javax.swing.text.EditorKit;
import java.awt.Point;
import javax.swing.text.Position;
import javax.swing.text.BadLocationException;
import java.awt.Rectangle;
import javax.swing.text.JTextComponent;

public abstract class TextUI extends ComponentUI
{
    public TextUI() {
    }
    
    public abstract Rectangle modelToView(JTextComponent p0, int p1) throws BadLocationException;
    
    public abstract Rectangle modelToView(JTextComponent p0, int p1, Position.Bias p2) throws BadLocationException;
    
    public abstract int viewToModel(JTextComponent p0, Point p1);
    
    public abstract int viewToModel(JTextComponent p0, Point p1, Position.Bias[] p2);
    
    public abstract int getNextVisualPositionFrom(JTextComponent p0, int p1, Position.Bias p2, int p3, Position.Bias[] p4) throws BadLocationException;
    
    public abstract void damageRange(JTextComponent p0, int p1, int p2);
    
    public abstract void damageRange(JTextComponent p0, int p1, int p2, Position.Bias p3, Position.Bias p4);
    
    public abstract EditorKit getEditorKit(JTextComponent p0);
    
    public abstract View getRootView(JTextComponent p0);
    
    public String getToolTipText(JTextComponent textComponent, Point point) {
        return null;
    }
}
